openssl_x509_export
openssl_x509_free
OpenSSL Functions
PHP Manual

# openssl_x509_fingerprint

(PHP 5.6)

openssl_x509_fingerprint — Calculates the fingerprint, or digest, of a given X.509 certificate

### Description

bool openssl_x509_fingerprint ( mixed `$x509` [, string `$hash_algorithm` = "sha1" [, bool `$raw_output` = `FALSE` ]] )

openssl_x509_fingerprint() returns the digest of `x509` as a string.

### Parameters

`x509`

  See Key/Certificate parameters for a list of valid values.

`hash_algorithm`

  The hash algorithm to use, e.g. "md5" or "sha1"

`raw_output`

  When set to `TRUE`, outputs raw binary data. `FALSE` outputs lowercase hexits.

### Return Values

Returns a string containing the calculated certificate fingerprint as lowercase hexits unless `raw_output` is set to `TRUE` in which case the raw binary representation of the message digest is returned.

Returns `FALSE` on failure.

openssl_x509_export
openssl_x509_free
OpenSSL Functions
PHP Manual